tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: python32 and python33 dependencies from a package

Ryo ONODERA <> writes:

> I feel it is expected behavior, but something should be improved
> in latest gedit3 (and libpeas) case.

The basic isssue is that libpeas actually depends on a python version,
but isn't pyNN- versioned and doesn't version the names of what it
installs.  So it can only use the default python version, and therefore
(if it exports things that link with python) only things with the
default version can use it.

This is going to get trickier as python3 becomes more common...

Attachment: pgp3zh25mkPCt.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index